<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div class="nt-modal-full-page" v-else>
      <div class="nt-modal-full-page-head">
        <h3 class="nt-modal-full-page-head-title">
          <i class="icon icon-email"></i>Chỉnh sửa mẫu email
        </h3>
      </div>
      <div class="nt-modal-full-page-body nt-scroll-primary" style="padding: 0 10px">
        <div class="row email-layout" v-if="emailTemplateDetails">
          <div class="col-md-6 d-flex flex-column h-100" style="padding: 0 10px">
            <div class="row email-info nt-scroll-primary">
              <div class="col-md-8 mx-auto">
                <form class="m-form m-form--state">
                  <div
                    class="form-group m-form__group"
                    :class="{ 'has-danger': errors.has('editEmailTemplate.name') }"
                  >
                    <label class="form-control-label nt-label">Tên mẫu</label>
                    <s-input-text
                      name="name"
                      data-vv-scope="editEmailTemplate"
                      v-model="emailTemplateDetails.name"
                      class="form-control"
                      v-validate="{ max: 250 }"
                    ></s-input-text>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="errors.has('editEmailTemplate.name')"
                    >{{ errors.first('editEmailTemplate.name') }}</div>
                    <div class="form-control-feedback m--font-danger" v-else>
                      <div
                        class="form-control-feedback m--font-danger"
                        v-if="server_errors != '' && server_errors['name']"
                      >{{ server_errors['name'][0] }}</div>
                      <div v-else>&nbsp;</div>
                    </div>
                  </div>

                  <div
                    class="form-group m-form__group"
                    :class="{ 'has-danger': errors.has('editEmailTemplate.title') }"
                  >
                    <label class="form-control-label nt-label">
                      Tiêu đề
                      <span class="m--font-danger">*</span>
                    </label>
                    <s-input-text
                      name="title"
                      data-vv-scope="editEmailTemplate"
                      v-model="emailTemplateDetails.title"
                      v-validate="{ required: true, max: 250 }"
                      class="form-control"
                    ></s-input-text>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="errors.has('editEmailTemplate.title')"
                    >{{ errors.first('editEmailTemplate.title') }}</div>
                    <div class="form-control-feedback m--font-danger" v-else>
                      <div
                        class="form-control-feedback m--font-danger"
                        v-if="server_errors != '' && server_errors['title']"
                      >{{ server_errors['title'][0] }}</div>
                      <div v-else>&nbsp;</div>
                    </div>
                  </div>

                  <div
                    class="form-group m-form__group"
                    :class="{ 'has-danger': errors.has('editEmailTemplate.content') || isEmptyContent }"
                  >
                    <label class="form-control-label nt-label">
                      Nội dung
                      <span class="m--font-danger">*</span>
                    </label>
                    <div class="nt-email-template-editor position-relative">
                      <div class="nt-insert-prefix-attribute-code-content">
                        <div
                          v-if="isLoaderAttribute"
                          class="m-loader m-loader--brand d-inline-block w-100"
                        ></div>
                        <div v-else>
                          <select
                            class="form-control"
                            v-model="attributeCodeCustomer"
                            @change="insertPrefixAttributeCodeForEmailContent()"
                          >
                            <option value disabled="disabled">Chọn trường cần gán</option>
                            <option
                              :value="attributeCustomer.prefix_attribute_code"
                              v-for="(attributeCustomer, index) in prefixAttributeCodeCustomer"
                              :key="index"
                            >{{ attributeCustomer.attribute_name }}</option>
                          </select>
                        </div>
                      </div>
                      <vue-editor
                        ref="vueEditorEditEmailTemplateContent"
                        data-vv-scope="editEmailTemplate"
                        v-validate="{ required: true, max: contentMax }"
                        name="content"
                        v-model="emailTemplateDetails.content"
                        placeholder="Nhập nội dung ở đây"
                        :editorOptions="editorOptions"
                      ></vue-editor>
                      <div
                        id="quillInsertBox"
                        class="border bg-white d-none px-2 py-1 position-absolute align-items-center"
                        style="z-index: 2"
                      >
                        <input
                          type="text"
                          id="quillInput"
                          class="mr-2"
                          placeholder="Thêm điạ chỉ ảnh"
                        />
                        <span class="nt-link" style="cursor: pointer" @click="onAddImage">Lưu</span>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-8">
                        <div
                          class="form-control-feedback m--font-danger"
                          v-if="errors.has('editEmailTemplate.content')"
                        >{{ errors.first('editEmailTemplate.content') }}</div>
                        <div
                          class="form-control-feedback m--font-danger"
                          v-else-if="isEmptyContent"
                        >Không được để trống trường này.</div>
                        <div class="form-control-feedback m--font-danger" v-else>
                          <div
                            class="form-control-feedback m--font-danger"
                            v-if="server_errors != '' && server_errors['content']"
                          >{{ server_errors['content'][0] }}</div>
                          <div v-else>&nbsp;</div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="text-right">
                          <div
                            class="nt-count"
                            v-if="isChangeContent && !isEmptyContent && countContent > 0 && contentMax >= countContent"
                          >
                            Còn
                            <span
                              class="nt-simple-bold"
                              :class="classTextCountContent"
                            >{{ contentMax - countContent }}</span> ký tự.
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
                <div class="nt-alert nt-alert-secondary m--margin-top-20 m--margin-bottom-20">
                  <div class="nt-simple-bold">Lưu ý</div>
                  <div class="email-notice">
                    <span>1.</span>
                    Để chỉnh sửa thông tin tổ chức xuất hiện trong email (bao gồm logo, số điện thoại, email, địa chỉ), khách hàng truy cập
                    <a
                      target="_blank"
                      :href="idpOrganizationInfo"
                      class="nt-link"
                    >tại đây</a>.
                  </div>
                  <div class="email-notice">
                    <span>2.</span>
                    Sau khi chỉnh sửa thông tin tổ chức, khách hàng nhấn nút dưới đây để xem các thông tin vừa sửa trong mục "Xem trước mẫu email".
                  </div>
                  <button class="btn btn-update" @click="updateEmailFrame">
                    <i class="icon icon-arrow-cycle"></i>
                    Cập nhật
                  </button>
                </div>
              </div>
            </div>
            <div class="email-footer d-flex justify-content-end">
              <router-link
                class="nt-button nt-button-secondary mr-2 modal-close"
                :to="{name : 'emailTemplateDetails', params : {team_id : currentTeam.team_id, email_template_id: emailTemplateId} }"
              >Hủy bỏ</router-link>
              <button
                :disabled="isDisabled"
                :class="{'nt-button-disabled' : isDisabled}"
                @click.prevent="updateEmailTemplate('editEmailTemplate')"
                type="submit"
                class="modal-close nt-button nt-button-warning mr-0"
              >Cập nhật</button>
            </div>
          </div>
          <div class="col-md-6 email-preview h-100 nt-scroll-primary">
            <EmailTemplatePreview
              ref="emailTemplatePreview"
              :content="emailTemplateDetails.content"
            />
          </div>
        </div>
      </div>
      <div id="backdrop" class="d-none" @click="onDismiss"></div>
    </div>
  </div>
</template>
